using InABox.Integration.Awg;

namespace InABox.Integration.Logikal
{
    public interface ILogikalBOM<TGroup, TStyle, TSupplier, TProfile, TGasket, TComponent, TGlass, TLabour> 
        : IAwgBOM<TGroup, TStyle, TSupplier, TProfile,TGasket,TComponent,TGlass,TLabour> 
        where TGroup : ILogikalGroup
        where TStyle : ILogikalStyle
        where TSupplier : ILogikalSupplier
        where TProfile : ILogikalProfile
        where TGasket : ILogikalGasket
        where TComponent : ILogikalComponent
        where TGlass : ILogikalGlass
        where TLabour : ILogikalLabour
    {
        byte[] SQLiteData { get; set; }
        byte[] ExcelData { get; set; }
    }
}